Bug 67713 - New port: devilspie, a window manipulation tool
Summary: New port: devilspie, a window manipulation tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-08 14:10 UTC by Jean-Yves Lefort
Modified: 2004-06-14 21:47 UTC (History)
0 users

See Also:


Attachments
file.shar (2.77 KB, text/plain)
2004-06-08 14:10 UTC, Jean-Yves Lefort
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort 2004-06-08 14:10:18 UTC

    
Comment 1 Thierry Thomas freebsd_committer 2004-06-13 22:55:37 UTC
State Changed
From-To: open->feedback


Configure looks for GOB2. 

The README says: 

"Matchers and Actions are GObjects, subclasses of DevilsPieMatcher and 
DevilsPieAction. They must export any properties they support via 
GObject properties.  I recommend using GOB to write these, as it makes 
it much easier!  When GOB supports it, the Matcher and Action classes 
will become pure interfaces, but for now they are abstract classes." 

Could you add a dependence towards the port devel/gob2?
Comment 2 Jean-Yves Lefort 2004-06-14 19:06:11 UTC
GOB is not required. The source code generated from .gob files is
included in the tarball.
Comment 3 Thierry Thomas freebsd_committer 2004-06-14 21:46:37 UTC
State Changed
From-To: feedback->closed


New port added, thanks! 

(Sorry for the noise about GOB)